<?php

/**
 * @file
 * Hooks for the module_instructions module.
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Collect all module instructions.
 *
 * @return array
 *   An array of module files.
 */
function hook_module_instructions_info() {
  return [
    'readme' => [
      'label' => 'Readme',
    ],
  ];
}

/**
 * Alter the instruction.
 *
 * @param string $content
 *   Contains the content of the instruction file.
 * @param array $context
 *   Context of the instruction (module, file, format).
 */
function hook_module_instructions_pre_view_alter(&$content, array &$context) {
  $context['format'] = 'plain_text';
}

/**
 * @} End of "addtogroup hooks".
 */
